Bug 297051 - Window manager doesn't centre properly with one panel
Summary: Window manager doesn't centre properly with one panel
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-19 22:07 UTC by Bojan Smojver
Modified: 2014-06-18 09:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-16 20:53:27 UTC


Attachments (Terms of Use)

Description Bojan Smojver 2007-09-19 22:07:06 UTC
Description of problem:
If one of the panels is removed, windows are no longer centred correctly in
relation to the usable space of the desktop. They are centred in relation to the
whole screen, which is not intuitive. This bug probably wasn't spotted because
Gnome ships two panels of identical height, one on top and one at the bottom,
therefore hiding this behaviour.

Version-Release number of selected component (if applicable):
2.19.55-3.fc8

How reproducible:
Always (also in F7).

Steps to Reproduce:
1. Remove bottom panel.
2. Start program such as Terminal or Text Editor.
  
Actual results:
Windows are not centred intuitively (i.e. in relation to available usable
space), but rather in relation to the whole screen.

Expected results:
Windows should be centred in relation to available space, which is whole screen
less any panels.

Additional info:
At least in F7, this affects compiz as well. I didn't test compiz on F8T2,
because the hardware I used isn't supported.

Comment 1 Bojan Smojver 2008-01-31 22:03:12 UTC
Ping...

Comment 2 Bojan Smojver 2008-01-31 22:05:00 UTC
BTW, this is also a problem when using compiz. The best test is using Text Editor.

Comment 3 Bojan Smojver 2008-05-08 07:19:08 UTC
Another ping...

Comment 4 Bojan Smojver 2008-11-09 03:19:57 UTC
This is still the same in F-10.

Comment 5 Bug Zapper 2009-06-09 22:51:14 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-11-16 07:57:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Owen Taylor 2009-11-16 20:53:27 UTC
I think you are getting confused because the Metacity behavior is to:

 - Center horizontally
 - Split whitespace as 1/3 above and 2/3 below

I'm not sure the exact reasoning of the 1/3 2/3 split, but I assume it was considered more visually pleasing than vertical centering.

(This is if only one copy of the window would fit in the available space, if the window could be tiled, then what it does is figures how how many copies of the window could fit in and positions things so that the entire group will be centered as above. E.g., if 4 terminals would fit, then a 2x2 grid of terminals will be centered as above, so the first terminal will be near, but not exactly at the upper left corner.)

If I make my top panel really bug - 128px say, the 1/3 and 2/3 relationship for empty space still seems to hold as near as I can measure it with my fingers, so I think the "work area" - the area between the panels - is being properly respected.

Comment 8 Bojan Smojver 2009-11-16 21:07:57 UTC
Right. OK then.


Note You need to log in before you can comment on or make changes to this bug.